mtext_get_prop_keys(3m17n)

NAME
mtext_get_prop_keys - Get a list of text property keys at a position of an M-text.

SYNOPSIS
int mtext_get_prop_keys (MText * mt, int pos, MSymbol ** keys)

DESCRIPTION
Get a list of text property keys at a position of an M-text.

The mtext_get_prop_keys() function creates an array whose elements are the keys of text properties found at position pos in M-text mt, and sets *keys to the address of the created array. The user is responsible to free the memory allocated for the array.

RETURN VALUE

    If the operation was successful, mtext_get_prop_keys() returns the length of the key list. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE

SEE ALSO

    mtext_get_prop(), mtext_put_prop(), mtext_put_prop_values(), mtext_get_prop_values(), mtext_push_prop(), mtext_pop_prop()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.